28 November, 2012

Joomla Compatibility, Support and Future

Upcoming changes in PayPlans compatibility and support-

  1. PayPlans 1.4 support will be marked to an end of life on 31st dec. i.e. No bug-fixes, security updates will be provided in PayPlans 1.x series. 

  2. Joomla 1.5 compatibility will be no more supported starting from PayPlans 2.3 i.e. if you are using Joomla 1.5 you will not be able to upgrade to 2.3 and onwards. 

  3. Joomla 3.0 compatibility will be provided starting PayPlans 2.3 release i.e. PayPlans 2.3 and onwards releases will be compatible to Joomla 2.5 and Joomla 3.0 

  4. Impact on 3rd party Apps: All PayPlans-apps are installed as plugins. So developers need to make sure that their plugins are installable in Joomla 3.0. 
    • 3rd party apps need to change parameter files for future compatibility with PayPlans (we will provide the instruction with the release of PayPlans 2.3 Beta version).

Tentative Dates for release are-

  • PayPlans 2.3 Beta - 4th December 2012.
  • PayPlans 2.3 Stable - 18th December 2012.

We understand that customers will be in two minds that whether to deploy to the latest version of PayPlans or not.

  1. If your website is using PayPlans 1.4 and does not require any new functionality, then we highly recommend you NOT to upgrade. Otherwise, it’s now good time to switch to PayPlans 2.2. Please follow the link if migrating from PayPlans 1.4 to 2.X series

  2. If you are using Joomla 1.5, then we recommend you to upgrade to Joomla 2.5 as soon as it is possible for you. As PayPlans future version will not be compatible to Joomla 1.5.
blog comments powered by Disqus